###############################################################################
# QtFTP for Qt5 (http://code.qt.io/cgit/qt/qtftp.git/)
###############################################################################

MIRA_EXTERNAL_PROJECT(QtFTP
	GIT_REPOSITORY https://code.qt.io/qt/qtftp.git

	PREFIX            ${MIRA_EXTERNAL_DIR}/qtftp
	STAMP_DIR         ${MIRA_EXTERNAL_DIR}/qtftp/cmake
	TMP_DIR           ${MIRA_EXTERNAL_DIR}/qtftp/cmake
	DOWNLOAD_DIR      ${MIRA_EXTERNAL_DIR}/qtftp
	SOURCE_DIR        ${MIRA_EXTERNAL_DIR}/qtftp/qtftp
	BINARY_DIR        ${MIRA_EXTERNAL_DIR}/qtftp/build
	UPDATE_COMMAND    ""
	PATCH_COMMAND     ${MIRA_ROOT_DIR}/scripts/mirapatch.sh ${CMAKE_CURRENT_LIST_DIR}/QtFTP.patch ${MIRA_EXTERNAL_DIR}/qtftp -p1
	CONFIGURE_COMMAND $<TARGET_FILE_DIR:${Qt5Core_QMAKE_EXECUTABLE}>/syncqt.pl -version 5.1.0 ${MIRA_EXTERNAL_DIR}/qtftp/qtftp
	BUILD_COMMAND     ${Qt5Core_QMAKE_EXECUTABLE} ../qtftp/qtftp.pro && make
	INSTALL_COMMAND   "" # no install step
)

###############################################################################

SET(QTFTP_INCLUDE_DIRS ${MIRA_EXTERNAL_DIR}/qtftp/build/include
                       ${MIRA_EXTERNAL_DIR}/qtftp/build/include/QtFtp)
SET(QTFTP_LIBRARY_DIRS ${MIRA_EXTERNAL_DIR}/qtftp/build/lib)
SET(QTFTP_LIBRARY      Qt5Ftp)

IF (CMAKE_VERBOSE_MAKEFILE)
	MESSAGE(STATUS "QtFTP")
	MESSAGE(STATUS "   incdir = " ${QTFTP_INCLUDE_DIRS})
	MESSAGE(STATUS "   libdir = " ${QTFTP_LIBRARY_DIRS})
	MESSAGE(STATUS "   lib    = " ${QTFTP_LIBRARY})
ENDIF (CMAKE_VERBOSE_MAKEFILE)

